@charset "UTF-8";
/* =========================================================
 パイプライン独自テーブル
========================================================= */
.pipeline-table colgroup col:first-child {width: 14%;}
.pipeline-table  colgroup col:nth-child(2) {width: 20%;}
.pipeline-table  colgroup col:nth-child(3) {width: 23%;}
.pipeline-table  colgroup col:nth-child(4) {width: 24%;}
.pipeline-table  colgroup col:last-child {width: 19%;}
.pipeline-table {
  tbody {
    th {
      background: var(--bg1);
    }
  }
}
.pipeline-table {
  .stage {
    vertical-align: middle;
  }
  .category-label {
    position: relative;
      &::before {
      content: "";
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      width: 10px;
    }
    &::after {
      content: "";
      position: absolute;
      bottom: -1px;
      left: 0;
      width: 10px;
      height: 1px;
      background: var(--bg1);
    }
  }
  .infectious-bar:before {
    background: #FFBB3D;
  }
  .cancer-bar::before {
    background: #3CB878;
  }
  .immune-bar::before {
    background:#4FC3F7;
  }
  tbody tr:last-child .category-label::after {
    background: transparent;    
  }
}
/* ステージ */
.stage-row {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 16px;
  min-width: 0;
  & + .stage-row {
    margin-top: 16px;
  }
}
.stage-row-label {
  flex-shrink: 0;
  width: 40px;
}
.stage-list {
  display: flex;
  gap: 6px;
  margin: 0;
  padding: 0;
}
.stage-list-item {
  width: 28px;
  height: 28px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 4px;
  border: 2px solid #6B7591;
  background: var(--bg1);
  color: #6B7591;
  font-size: 1.6rem;
  font-weight: 300;
  line-height: 1;
}
.stage-list-item.is-current {
  background: #6B7591;
  border-color: #6B7591;
  color: var(--text-color2);
}
.stage-list-item.is-future {
  border-color: #C8D4DD;
  color: #C8D4DD;
}
.stage-img {
  min-width: 0;
  max-width: 164px;
  height: auto;
  flex: 1 1 auto;
  display: block;
}